<div class="filter-area">
  <input [formControl]="tableSettingsService.tableDataForm.get('venueName')"
         type="text"
         placeholder="Search the venue&hellip;">

  <div class="filter-area__filter-buttons">
    <div #filterRoot></div>
    <button (click)="toggleMap()" class="secondary-button">Toggle map view&hellip;</button>
    <button (click)="openFilter()" class="secondary-button">Filter&hellip;</button>
  </div>
</div>

<div class="content-container">
  <table class="standard-table"
         [ngClass]="{'standard-table--map-active': isMapActive}">
    <tr>
      <th table-sort [sortBy]="'title'" class="title__column">Name</th>
      <th table-sort [sortBy]="'location.city'">City</th>
      <th>Postcode</th>
      <th table-sort [sortBy]="'location.adress'">Address</th>
      <th class="title__start-date">Start Year</th>
    </tr>

    <tr *ngFor="let item of dataService.primaryDataSet
    | TableSortingPipe:tableSettingsService.tableDataForm.value:
      tableSettingsService.activePage:
      tableSettingsService.sortBy:
      tableSettingsService.sortOrder:
      isMapActive"
        [routerLink]="'/venue-detail'"
        [queryParams]="{id: item.trcid}">
      <td [attr.col-name]="'Name'" class="title__column">{{item.title}}</td>
      <td [attr.col-name]="'City'">{{item.location.city | transformToUppercase}}</td>
      <td [attr.col-name]="'Postcode'">{{item.location.zipcode}}</td>
      <td [attr.col-name]="'Address'">{{item.location.adress}}</td>
      <td [attr.col-name]="'Start Year'" class="title__start-date">{{item.dates?.startdate ? (item.dates.startdate | date:'yyyy') : '-'}}</td>
    </tr>

    <app-paginator [dataSetSize]="tableSettingsService.currentDataSetLength"
                   [ngClass]="{'--abbreviated': isMapActive}"></app-paginator>
  </table>

  <div #mapContainer [ngClass]="{'google-map': isMapActive}"></div>
</div>
